osgAnimation::MorphGeometry::MorphTarget Class Reference

`#include <MorphGeometry>`

## Public Member Functions

| MorphTarget (osg::Geometry *geom, float w=1.0)
void | setWeight (float weight)
float | getWeight () const
osg::Geometry * | getGeometry ()
const osg::Geometry * | getGeometry () const
void | setGeometry (osg::Geometry *geom)

## Protected Attributes

osg::ref_ptr< osg::Geometry > | _geom
float | _weight

## Constructor & Destructor Documentation

## MorphTarget()

osgAnimation::MorphGeometry::MorphTarget::MorphTarget | ( | osg::Geometry * | geom,
|  | float | w = 1.0 )

inline

References _geom, and _weight.

## Member Function Documentation

## getGeometry() [1/2]

osg::Geometry * osgAnimation::MorphGeometry::MorphTarget::getGeometry | ( |  | ) |

inline

References _geom.

## getGeometry() [2/2]

const osg::Geometry * osgAnimation::MorphGeometry::MorphTarget::getGeometry | ( |  | ) | const

inline

References _geom.

## getWeight()

float osgAnimation::MorphGeometry::MorphTarget::getWeight | ( |  | ) | const

inline

References _weight.

## setGeometry()

void osgAnimation::MorphGeometry::MorphTarget::setGeometry | ( | osg::Geometry * | geom | ) |

inline

References _geom.

## setWeight()

void osgAnimation::MorphGeometry::MorphTarget::setWeight | ( | float | weight | ) |

inline

References _weight.

## Member Data Documentation

## _geom

osg::ref_ptr<osg::Geometry> osgAnimation::MorphGeometry::MorphTarget::_geom

protected

Referenced by getGeometry(), getGeometry(), MorphTarget(), and setGeometry().

## _weight

float osgAnimation::MorphGeometry::MorphTarget::_weight

protected

Referenced by getWeight(), MorphTarget(), and setWeight().

The documentation for this class was generated from the following file:

- MorphGeometry